View Issue Details

IDProjectCategoryView StatusLast Update
0000740CaseTalk ModelerGeneration (SQL, XML, etc)public2016-08-26 14:57
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version8.2.2 
Target Version9.0Fixed in Version8.11.3 
Summary0000740: Autoselect PrimaryKey on non optional roles
DescriptionCaseTalk will select the UC with the lowest id, being the earliest entered UC. This oldest UC will be chosen as the default primary key index when in doubt.

This should however be altered to choose a UC without any optional roles if possible.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2015-11-06 18:31

administrator   ~0000461

Latest CaseTalk versions automatically place a PK indicator at the first and oldest uc. This prevents GLR from asking you where the PK should be place when it is needed after Lexicalization.

Perhaps this function needs more user tweaking:

a) Manually set a PK where needed during GLR.
b) Apply default PK (based upon oldest en non-optional-roles) during GLR.
c) Erase existing PK's and apply option 'b'.

Issue History

Date Modified Username Field Change
2015-10-02 17:25 BCP Software New Issue
2015-10-02 17:25 BCP Software Status new => assigned
2015-10-02 17:25 BCP Software Assigned To => BCP Software
2015-11-06 18:31 BCP Software Note Added: 0000461
2016-01-20 12:56 BCP Software Category Generation => Generation (SQL, XML, etc)
2016-08-26 14:57 BCP Software Status assigned => resolved
2016-08-26 14:57 BCP Software Resolution open => fixed
2016-08-26 14:57 BCP Software Fixed in Version => 8.11.3